{% load static %}

<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href= "https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"> 
    <script src= "https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"> </script> 
    <script src= "https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script> 
    <script src= "https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="{% static '/style.css' %}" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <title>Ayesha's Story</title>
</head>

<body>

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
<div class= "container">
<a class="navbar-brand" href="{% url 'index'%}">Ayesha's Story</a>
<button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarCollapse">
  <span class="navbar-toggler-icon"></span>
</button>
<div class="collapse navbar-collapse" id="navbarCollapse">
    <ul class="navbar-nav ml-auto"> 
        <li class="nav-item dropdown"> 
            <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown"> 
                Stories
            </a>
            <ul class = "dropdown-menu" aria-labelledny= "navbarDropdown">
                <li><a class="dropdown-item" href="{% url 'index'%}">Story 1</a></li>
                <li class="dropdown-submenu">
                <a id="dropdownMenu2" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="dropdown-item dropdown-toggle">Story 3</a>
                    <ul aria-labelledby="dropdownMenu2" class="dropdown-menu border-0 shadow">
                        <li><a tabindex="-1" href="{% url 'story3'%}" class="dropdown-item">Main</a></li>
                        <li><a tabindex="-1" href="{% url 'quotes'%}" class="dropdown-item">Quotes</a></li>
                        <li><a tabindex="-1" href="{% url 'designs'%}" class="dropdown-item">Designs</a></li>
                    </ul>
                </li>
         </li>
    </ul> 
</div>
</div>
</div>

</nav>

{% block content %}
{% endblock %}

</body>

<script>
    $(function() {
  // ------------------------------------------------------- //
  // Multi Level dropdowns
  // ------------------------------------------------------ //
  $("ul.dropdown-menu [data-toggle='dropdown']").on("click", function(event) {
    event.preventDefault();
    event.stopPropagation();

    $(this).siblings().toggleClass("show");


    if (!$(this).next().hasClass('show')) {
      $(this).parents('.dropdown-menu').first().find('.show').removeClass("show");
    }
    $(this).parents('li.nav-item.dropdown.show').on('hidden.bs.dropdown', function(e) {
      $('.dropdown-submenu .show').removeClass("show");
    });

  });
});

</script>

</html>